Обновление системы защиты Ubuntu 14.04 повредило что-то [дубликат]

Этот вопрос уже имеет ответ здесь:

Я получил всплывающее окно для обновления системы защиты, которое удалило и переустановило много материала. Во время этого это сказало, что чему-то не удалось обновить. Теперь, когда я пытаюсь установить обновление, которое перестало работать, я получаю это сообщение об ошибке.

Check if you are using third party repositories. If so disable them, since they are a common source of problems. Furthermore run the following command in a Terminal: apt-get install -f

Выполнение команды дает мне это

Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
Unable to lock the administration directory (/var/lib/dpkg/), are you root?

Я едва знаю что-либо о Linux, поэтому дайте простые ответы и не используйте краткий малопонятный жаргон.

Править: Я выполнил команду с sudo и получил это в терминале

The following package was automatically installed and is no longer required:
  libllvm3.5
Use 'apt-get autoremove' to remove it.
The following extra packages will be installed:
  libllvm3.8v4
The following NEW packages will be installed:
  libllvm3.8v4
0 upgraded, 1 newly installed, 0 to remove and 9 not upgraded.
33 not fully installed or removed.
Need to get 0 B/10.2 MB of archives.
After this operation, 40.3 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 788253 files and directories currently installed.)
Preparing to unpack .../libllvm3.8v4_1%3a3.8-2ubuntu3~trusty4_i386.deb ...
Unpacking libllvm3.8v4:i386 (1:3.8-2ubuntu3~trusty4) ...
dpkg: error processing archive /var/cache/apt/archives/libllvm3.8v4_1%3a3.8-2ubuntu3~trusty4_i386.deb (--unpack):
 trying to overwrite '/usr/lib/i386-linux-gnu/libLLVM-3.8.so.1', which is also in package libllvm3.8:i386 1:3.8~+rc3-1~exp1~gd~t
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/libllvm3.8v4_1%3a3.8-2ubuntu3~trusty4_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Примечание стороны: Я не могу запустить центр программного обеспечения Ubuntu, и каждый раз я запускаю пар. Пар поднимает терминал и устанавливает что-то каждый раз, когда он не сделал используемый, чтобы сделать это.

0
задан 26 June 2019 в 18:59

1 ответ

Вы добираетесь permission denied и are you root? подсказки, потому что необходимо выполнить команды с поднятыми полномочиями. Поместите префикс sudo перед командами так, чтобы команды были выполнены под корневым доступом.

Пример:

$ sudo apt-get install -f

Для выполнения команды я просто дал Вам, введите все execept знак доллара $. Знак доллара указывает подсказку, где Вы вводите команду.

, Который должен очистить неудавшуюся установку путем решения проблем. Это автоматически загрузит доступные недостающие зависимости.

1
ответ дан 28 September 2019 в 16:15

Другие вопросы по тегам:

Похожие вопросы: